Package de.willuhn.jameica.hbci.schedule

# Class AbstractTransferScheduleProvider<T extends Terminable & HibiscusDBObject>

java.lang.Object
de.willuhn.jameica.hbci.schedule.AbstractTransferScheduleProvider<T>

Type Parameters:
  `T` - der konkrete Auftragstyp.

All Implemented Interfaces:
  `ScheduleProvider<T>`

Direct Known Subclasses:
  `AuslandsUeberweisungScheduleProvider`, `SepaLastschriftScheduleProvider`, `SepaSammelLastschriftScheduleProvider`, `SepaSammelUeberweisungScheduleProvider`

@Lifecycle(REQUEST) public abstract class AbstractTransferScheduleProvider<T extends Terminable & HibiscusDBObject> extends Object implements ScheduleProvider<T>
Abstrakte Basis-Implementierung eines Schedule-Providers fuer Ueberweisungen und Lastschriften.

## Constructor Summary

Constructors
Constructor
Description
`AbstractTransferScheduleProvider()`

## Method Summary

Modifier and Type
Method
Description
`List<Schedule<T>>`
`getSchedules(Konto k, Date from, Date to)`
Liefert die Termine fuer den angegebenen Zeitraum.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface de.willuhn.jameica.hbci.schedule.ScheduleProvider

`getName`

## Constructor Details

### AbstractTransferScheduleProvider

public AbstractTransferScheduleProvider()

## Method Details

### getSchedules

public List<Schedule<T>> getSchedules(Konto k, Date from, Date to)
Description copied from interface: `ScheduleProvider`
Liefert die Termine fuer den angegebenen Zeitraum.

Specified by:
  `getSchedules` in interface `ScheduleProvider<T extends Terminable & HibiscusDBObject>`
Parameters:
  `k` - optionale Angabe eines Kontos. Ist es angegeben, werden nur Zahlungen des angegebenen Kontos geliefert. Andernfalls alle Konten.
  `from` - Beginn des Zeitraumes (einschliesslich dieses Tages).
  `to` - Ende des Zeitraumes (einschliesslich dieses Tages).
Returns:
  Liste der gefundendenen Termine. Die Funktion darf NICHT NULL liefern sondern hoechstens eine leere Liste.